Package org.apache.storm.sql

## Class StormSqlContext

- java.lang.Object
- - org.apache.storm.sql.StormSqlContext

-     public class StormSqlContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StormSqlContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.calcite.tools.FrameworkConfig` | `buildFrameWorkConfig()` |
    `AbstractStreamsProcessor` | `compileSql​(String query)` |
    `String` | `explain​(String query)` |
    `Map<String,​ISqlStreamsDataSource>` | `getDataSources()` |
    `org.apache.calcite.schema.SchemaPlus` | `getSchema()` |
    `org.apache.calcite.adapter.java.JavaTypeFactory` | `getTypeFactory()` |
    `void` | `interpretCreateFunction​(SqlCreateFunction sqlCreateFunction)` |
    `void` | `interpretCreateTable​(SqlCreateTable n)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StormSqlContext

          public StormSqlContext()

  - ### Method Detail

    - #### interpretCreateTable

          public void interpretCreateTable​(SqlCreateTable n)

    - #### interpretCreateFunction

          public void interpretCreateFunction​(SqlCreateFunction sqlCreateFunction)
                                       throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### compileSql

          public AbstractStreamsProcessor compileSql​(String query)
                                              throws Exception

      Throws:
        `Exception`

    - #### explain

          public String explain​(String query)
                         throws org.apache.calcite.sql.parser.SqlParseException,
                                org.apache.calcite.tools.ValidationException,
                                org.apache.calcite.tools.RelConversionException

      Throws:
        `org.apache.calcite.sql.parser.SqlParseException`
        `org.apache.calcite.tools.ValidationException`
        `org.apache.calcite.tools.RelConversionException`

    - #### buildFrameWorkConfig

          public org.apache.calcite.tools.FrameworkConfig buildFrameWorkConfig()

    - #### getTypeFactory

          public org.apache.calcite.adapter.java.JavaTypeFactory getTypeFactory()

    - #### getSchema

          public org.apache.calcite.schema.SchemaPlus getSchema()

    - #### getDataSources

          public Map<String,​ISqlStreamsDataSource> getDataSources()